## deepin-screensaver 5.0.5

=== debian/changelog ===
deepin-screensaver (5.0.5-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 11 Mar 2021 14:30:38 +0800

deepin-screensaver (0.0.1-1) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 22 Aug 2017 09:30:02 +0800

## deepin-screensaver 6.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(deepin-screensaver LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# 设置安装路径
if (NOT DEFINED CMAKE_INSTALL_PREFIX)
    set(CMAKE_INSTALL_PREFIX "/usr")
endif()
set(LIB_PATH "${CMAKE_INSTALL_PREFIX}/lib/deepin-screensaver" CACHE PATH "Library installation path")
set(MODULE_PATH "${LIB_PATH}/modules" CACHE PATH "Module installation path")
set(RESOURCE_PATH "${LIB_PATH}/resources" CACHE PATH "Resource installation path")
set(QT_VERSION_MAJOR "6" CACHE STRING "Build with qt version major")

add_definitions(-DLIB_PATH="${LIB_PATH}" -DMODULE_PATH="${MODULE_PATH}" -DRESOURCE_PATH="${RESOURCE_PATH}")

# 设置模块路径
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake)

# 引入翻译生成
include(translation-generate)

if (QT_VERSION_MAJOR STREQUAL "6")
    set(QT_VERSION_MAJOR "6")
    set(QT_DESIRED_VERSION "6")
    set(DTK_VERSION_MAJOR "6")
else()
    set(QT_VERSION_MAJOR "5")
    set(QT_DESIRED_VERSION "5")
    set(DTK_VERSION_MAJOR "")
endif()
message("   >>> Build with DTK: ${DTK_VERSION_MAJOR}")

# 添加子目录
add_subdirectory(tools)
add_subdirectory(src) 
add_subdirectory(xscreensaver)
add_subdirectory(customscreensaver)

=== customscreensaver/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(customscreensaver LANGUAGES CXX)

# 添加子目录
add_subdirectory(saverpic)
add_subdirectory(deepin-custom-screensaver)

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(deepin-screensaver LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOMOC ON)

# 查找 Qt 模块
set(qt_required_components Core Gui Widgets DBus Quick)

if (QT_DESIRED_VERSION MATCHES 6)
#     list(APPEND qt_required_components GuiPrivate)
else()
    list(APPEND qt_required_components X11Extras)
endif()

find_package(Qt${QT_DESIRED_VERSION} REQUIRED COMPONENTS ${qt_required_components})
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Widget Gui Core)

# 查找系统库
find_package(PkgConfig REQUIRED)
pkg_check_modules(X11 REQUIRED x11 xscrnsaver xext xcb)

# 源文件
set(SOURCES
    main.cpp
    screensaverwindow.cpp
    dbusscreensaver.cpp
    imageprovider.cpp
    screensaverview.cpp
    screensaversettingdialog.cpp
    customconfig.cpp
    utils.cpp
    singlecustomsetting.cpp
    commandlinehelper.cpp
)

# 头文件
set(HEADERS
    screensaverwindow.h
    dbusscreensaver.h
    imageprovider.h
    screensaverview.h
    screensaversettingdialog.h
    customconfig.h
    utils.h
    singlecustomsetting.h
    commandlinehelper.h
)

# 翻译文件
set(TRANSLATIONS
    translations/deepin-screensaver.ts
    translations/deepin-screensaver_zh_CN.ts
)

# 资源文件
set(RESOURCES
    images.qrc
)

add_definitions(-DAPP_VERSION="$APP_VERSION")
add_definitions(-DVERSION="$VERSION")

# D-Bus XML 文件
set(DBUS_XML_FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/com.deepin.ScreenSaver.xml
)

# 生成 D-Bus 适配器
if (QT_DESIRED_VERSION MATCHES 6)
    qt_add_dbus_adaptor(${PROJECT_NAME}_ADAPTORS ${DBUS_XML_FILES} ${CMAKE_CURRENT_SOURCE_DIR}/dbusscreensaver.h DBusScreenSaver)
else()
    qt5_add_dbus_adaptor(${PROJECT_NAME}_ADAPTORS ${DBUS_XML_FILES} ${CMAKE_CURRENT_SOURCE_DIR}/dbusscreensaver.h DBusScreenSaver)
endif()

# 添加生成的 UI 头文件所在的目录到头文件搜索路径
include_directories(${CMAKE_CURRENT_BINARY_DIR})

# 添加可执行文件
add_executable(${PROJECT_NAME} ${SOURCES} ${HEADERS} ${RESOURCES} ${${PROJECT_NAME}_ADAPTORS})

# 链接库
set(LINK_LIBS
    Qt${QT_DESIRED_VERSION}::Core
    Qt${QT_DESIRED_VERSION}::Gui
    Qt${QT_DESIRED_VERSION}::Widgets
    Qt${QT_DESIRED_VERSION}::DBus
    Qt${QT_DESIRED_VERSION}::Quick
    Dtk${DTK_VERSION_MAJOR}::Widget
    Dtk${DTK_VERSION_MAJOR}::Gui
    Dtk${DTK_VERSION_MAJOR}::Core
    ${X11_LIBRARIES}
)

if (QT_DESIRED_VERSION MATCHES 6)
    list(APPEND LINK_LIBS Qt${QT_DESIRED_VERSION}::GuiPrivate)
else()
    list(APPEND LINK_LIBS Qt${QT_DESIRED_VERSION}::X11Extras)
endif()

target_link_libraries(${PROJECT_NAME} ${LINK_LIBS})

# 安装目标
install(TARGETS ${PROJECT_NAME} DESTINATION bin)

# translation files
TRANSLATION_GENERATE(QM_FILES ${CMAKE_CURRENT_SOURCE_DIR}/translations)
add_custom_target(${PROJECT_NAME}_qm_files DEPENDS ${QM_FILES})
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_qm_files)

# Install translations
install(FILES ${QM_FILES} DESTINATION share/${PROJECT_NAME}/translations)

# 安装生成的适配器 XML 文件
install(FILES ${DBUS_XML_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/interfaces)

# 安装 D-Bus 服务文件
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/com.deepin.ScreenSaver.service DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/services)

# 安装 DConfig 配置文件，1040及以下的默认DTK环境不支持DConfig
set(DCONFIG_APPID org.deepin.screensaver)
file(GLOB DCONFIG_FILES "${CMAKE_CURRENT_SOURCE_DIR}/configs/*.json")
if(DEFINED DSG_DATA_DIR)
    if (DTK_VERSION_MAJOR EQUAL "6")
        dtk_add_config_meta_files(APPID ${DCONFIG_APPID} FILES ${DCONFIG_FILES})
    else()
        dconfig_meta_files(APPID ${DCONFIG_APPID} FILES ${DCONFIG_FILES})
    endif()
    message("-- DConfig is supported by DTK")
else()
    install(FILES ${DCONFIG_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dsg/configs/${DCONFIG_APPID})
    message("-- DConfig is not supported by DTK")
endif()

=== tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(tools LANGUAGES CXX)

# 添加子目录
add_subdirectory(preview)

=== xscreensaver/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(xscreensaver)

# 安装封面图片
install(DIRECTORY cover/ DESTINATION ${MODULE_PATH}/cover)

set(XSCREENSAVER_DATA_PATH $ENV{XSCREENSAVER_DATA_PATH})
if(NOT XSCREENSAVER_DATA_PATH)
    if (QT_DESIRED_VERSION MATCHES 6)
        set(XSCREENSAVER_DATA_PATH ${CMAKE_INSTALL_PREFIX}/libexec/xscreensaver)
    else()
        set(XSCREENSAVER_DATA_PATH ${CMAKE_INSTALL_PREFIX}/lib/xscreensaver)
    endif()
endif()

message(STATUS "XSCREENSAVER_DATA_PATH: ${XSCREENSAVER_DATA_PATH}")

# 屏保列表
set(SCREENSAVER_LIST "blaster bouboule cage discoball dymaxionmap endgame epicycle flow flurry flyingtoasters fuzzyflakes galaxy glplanet hexadrop klein lament lockward polytopes vermiculate")

# 计算相对路径
file(RELATIVE_PATH RELATIVE_PATH ${MODULE_PATH} ${XSCREENSAVER_DATA_PATH})

# 直接生成 postinst 文件到 debian/ 目录
configure_file(
    ${CMAKE_SOURCE_DIR}/debian/deepin-screensaver-xscreensaver-data.postinst.in
    ${CMAKE_SOURCE_DIR}/debian/deepin-screensaver-xscreensaver-data.postinst
    @ONLY
)

# 设置 postinst 文件的可执行权限
file(
    CHMOD ${CMAKE_SOURCE_DIR}/debian/deepin-screensaver-xscreensaver-data.postinst
    PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

=== customscreensaver/deepin-custom-screensaver/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(deepin-custom-screensaver LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOMOC ON)

# 查找 Qt 模块
set(qt_required_components Core Gui Widgets Network)

if (QT_DESIRED_VERSION MATCHES 6)
    list(APPEND qt_required_components Core5Compat)
endif()

find_package(Qt${QT_DESIRED_VERSION} REQUIRED COMPONENTS ${qt_required_components})
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Widget Gui Core)

# 查找系统库
find_package(PkgConfig REQUIRED)
pkg_check_modules(X11 REQUIRED x11)

# 源文件
set(SOURCES
    src/main.cpp
    src/slideshowscreensaver.cpp
    src/commandlinemanager.cpp
    src/slideshowconfig.cpp
    src/slideshowconfigdialog.cpp
    src/config/contenttitle.cpp
    src/config/selectpathwidget.cpp
    src/config/truncatelineedit.cpp
    src/config/timeintervalwidget.cpp
    src/singleinstance.cpp
)

# 头文件
set(HEADERS
    src/slideshowscreensaver.h
    src/commandlinemanager.h
    src/slideshowconfig.h
    src/slideshowconfigdialog.h
    src/config/contenttitle.h
    src/config/selectpathwidget.h
    src/config/truncatelineedit.h
    src/config/timeintervalwidget.h
    src/singleinstance.h
)

# 资源文件
set(RESOURCES
    icon.qrc
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

# 添加可执行文件
add_executable(${PROJECT_NAME} ${SOURCES} ${HEADERS} ${RESOURCES})

# 链接库
set(LINK_LIBS
    Qt${QT_DESIRED_VERSION}::Core
    Qt${QT_DESIRED_VERSION}::Gui
    Qt${QT_DESIRED_VERSION}::Widgets
    Qt${QT_DESIRED_VERSION}::Network
    Dtk${DTK_VERSION_MAJOR}::Widget
    Dtk${DTK_VERSION_MAJOR}::Gui
    Dtk${DTK_VERSION_MAJOR}::Core
    ${X11_LIBRARIES}
)

if (QT_DESIRED_VERSION MATCHES 6)
    list(APPEND LINK_LIBS Qt${QT_DESIRED_VERSION}::Core5Compat)
endif()

target_link_libraries(${PROJECT_NAME} ${LINK_LIBS})

# 安装目标
install(TARGETS ${PROJECT_NAME} DESTINATION /usr/lib/deepin-screensaver/modules)

# translation files
TRANSLATION_GENERATE(QM_FILES ${CMAKE_CURRENT_SOURCE_DIR}/translations)
add_custom_target(${PROJECT_NAME}_qm_files DEPENDS ${QM_FILES})
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_qm_files)

# Install translations
install(FILES ${QM_FILES} DESTINATION share/${PROJECT_NAME}/translations)

# 安装桌面文件
install(FILES data/deepin-custom-screensaver.desktop DESTINATION /etc/deepin-screensaver/deepin-custom-screensaver)

# 安装图标
install(DIRECTORY src/icons/ DESTINATION /usr/lib/deepin-screensaver/modules/cover)

# 安装 DConfig 文件
install(FILES data/org.deepin.customscreensaver.json DESTINATION /usr/share/dconfig/overrides/org.deepin.screensaver)

# 安装 DConfig 配置文件，1040及以下的默认DTK环境不支持DConfig
set(DCONFIG_APPID org.deepin.screensaver)
file(GLOB DCONFIG_FILES "${CMAKE_CURRENT_SOURCE_DIR}/data/*.json")
if(DEFINED DSG_DATA_DIR)
    if (DTK_VERSION_MAJOR EQUAL "6")
        dtk_add_config_meta_files(APPID ${DCONFIG_APPID} FILES ${DCONFIG_FILES})
    else()
        dconfig_meta_files(APPID ${DCONFIG_APPID} FILES ${DCONFIG_FILES})
    endif()
    message("-- DConfig is supported by DTK")
else()
    install(FILES ${DCONFIG_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dsg/configs/${DCONFIG_APPID})
    message("-- DConfig is not supported by DTK")
endif()

=== customscreensaver/saverpic/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(saverpic LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# 查找 Qt 模块
find_package(Qt${QT_DESIRED_VERSION} REQUIRED COMPONENTS Quick)

# 源文件
set(SOURCES
    main.cpp
)

# 资源文件
set(RESOURCES
    saverpic.qrc
)

# 添加可执行文件
add_executable(${PROJECT_NAME} ${SOURCES} ${RESOURCES})

# 链接库
set(LINK_LIBS
    Qt${QT_DESIRED_VERSION}::Quick
)

target_link_libraries(${PROJECT_NAME} ${LINK_LIBS})

# 安装qml文件
install(FILES saverpic.qml DESTINATION /usr/lib/deepin-screensaver/modules)

=== tools/preview/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(deepin-screensaver-preview LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

# 查找 Qt 模块
set(qt_required_components Core Gui Widgets)

find_package(Qt${QT_DESIRED_VERSION} REQUIRED COMPONENTS Core Gui Widgets)

# 源文件
set(SOURCES
    main.cpp
    previewwindow.cpp
)

# 头文件
set(HEADERS
    previewwindow.h
)

# UI 文件
set(FORMS
    previewwindow.ui
)

# 生成 UI 头文件
if (QT_VERSION_MAJOR MATCHES 6)
    qt_wrap_ui(${PROJECT_NAME}_UI_HEADERS ${FORMS})
else()
    #qt5_wrap_ui(${PROJECT_NAME}_UI_HEADERS ${FORMS})
endif()

# 添加生成的 UI 头文件所在的目录到头文件搜索路径
include_directories(${CMAKE_CURRENT_BINARY_DIR})

# 添加可执行文件
add_executable(${PROJECT_NAME} ${SOURCES} ${HEADERS} ${FORMS} ${${PROJECT_NAME}_UI_HEADERS})

# 链接库
set(LINK_LIBS
    Qt${QT_DESIRED_VERSION}::Core
    Qt${QT_DESIRED_VERSION}::Gui
    Qt${QT_DESIRED_VERSION}::Widgets
)

target_link_libraries(${PROJECT_NAME} ${LINK_LIBS})

# 安装目标
install(TARGETS ${PROJECT_NAME} DESTINATION bin)

## deepin-screensaver 5.0.10

=== debian/changelog ===
deepin-screensaver (5.0.10-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 01 Dec 2021 14:55:27 +0800

=== debian/control ===
Source: deepin-screensaver
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>=9), qtbase5-dev, qtdeclarative5-dev, libqt5x11extras5-dev, libx11-dev, libxss-dev, libxext-dev, pkg-config, qml-module-qt-labs-platform
Standards-Version: 3.9.8

Package: deepin-screensaver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, deepin-screensaver-xscreensaver-data
Description: Screensaver Tool
 Deepin screensaver viewer and tools.

Package: deepin-screensaver-xscreensaver-data
Architecture: any
Depends: xscreensaver-data-extra, xscreensaver-gl-extra, qml-module-qt-labs-platform
Description: Screensaver data
 xscreensaver extra with the Deepin Screensaver.

## deepin-screensaver 5.0.13

=== debian/changelog ===
deepin-screensaver (5.0.13-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 10 Nov 2022 09:18:40 +0800

deepin-screensaver (5.0.13) stable; urgency=medium

  * update V23 baseline version.

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 15 Aug 2022 10:56:33 +0800

=== debian/control ===
Source: deepin-screensaver
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>=9), qtbase5-dev, qttools5-dev-tools, qtdeclarative5-dev, libqt5x11extras5-dev, libdtkwidget-dev, libx11-dev, libxss-dev, libxext-dev, libdframeworkdbus-dev, pkg-config, qml-module-qt-labs-platform
Standards-Version: 3.9.8

Package: deepin-screensaver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, deepin-screensaver-xscreensaver-data
Description: Screensaver Tool
 Deepin screensaver viewer and tools.

Package: deepin-screensaver-xscreensaver-data
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, xscreensaver-data-extra, xscreensaver-gl-extra, qml-module-qt-labs-platform
Description: Screensaver data
 xscreensaver extra with the Deepin Screensaver.

## deepin-screensaver 5.0.14

=== debian/changelog ===
deepin-screensaver (5.0.14-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 07 Dec 2022 20:18:34 +0800

## deepin-screensaver 5.0.16

=== debian/changelog ===
deepin-screensaver (5.0.16-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 11 Apr 2023 15:18:54 +0800

deepin-screensaver (5.0.16) stable; urgency=medium

  * update V23 baseline version.

 -- lvwujun <lvwujun@uniontech.com>  Fri, 13 Jan  2023 16:41:33 +0800

## deepin-screensaver 5.0.18

=== debian/changelog ===
deepin-screensaver (5.0.18) stable; urgency=medium

  * update version to 5.0.18.

 -- Zhang Yu <zhangyub@uniontech.com>  Wed, 30 Aug 2023 15:40:00 +0800
 

deepin-screensaver (5.0.17) stable; urgency=medium

  * update version to 5.0.17.

 -- Zhang Yu <zhangyub@uniontech.com>  Wed, 7 Jun 2023 16:13:00 +0800
 

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
include /usr/share/dpkg/default.mk

%:
	dh $@ 

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_auto_configure:
	dh_auto_configure -- VERSION=$(VERSION) DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)" deepin-screensaver.pro

## deepin-screensaver 5.0.20

=== debian/changelog ===
deepin-screensaver (5.0.20) unstable; urgency=medium

  * update version to 5.0.20.

 -- Zhanghexian <zhanghexian@uniontech.com>  Mon, 19 Aug 2024 10:37:18 +0800

deepin-screensaver (5.0.19) unstable; urgency=medium

  * update version to 5.0.19.

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 16 Apr 2024 15:43:18 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Deepin Packages Builder <packages@deepin.com>
-Build-Depends: debhelper (>=9), qtbase5-dev, qttools5-dev-tools, qtdeclarative5-dev, libqt5x11extras5-dev, libdtkwidget-dev, libx11-dev, libxss-dev, libxext-dev, libdframeworkdbus-dev, pkg-config, qml-module-qt-labs-platform
+Build-Depends: debhelper (>=9), qtbase5-dev, qttools5-dev-tools, qtdeclarative5-dev, libqt5x11extras5-dev, libdtkwidget-dev, deepin-desktop-base, libx11-dev, libxss-dev, libxext-dev, libdframeworkdbus-dev, pkg-config, qml-module-qt-labs-platform
 Standards-Version: 3.9.8
 
 Package: deepin-screensaver

## deepin-screensaver 6.5.1

=== debian/changelog ===
deepin-screensaver (6.5.1) unstable; urgency=medium

  * chore: switch to qt6 for debian
  * fix: [ui] Solve the scaling problem
  * fix: [ui]adjust layout margin for restore defaults button

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 17 Apr 2025 20:20:11 +0800

deepin-screensaver (6.5.0) unstable; urgency=medium

  * Update version to 6.5.0.
  * Adapt Qt6 build and compatability with Qt5.
  * Fix translatation issues.
  * Support cmake build system.

 -- re2zero <yangwu@uniontech.com>  Mon, 20 Jan 2025 16:30:43 +0800

deepin-screensaver (5.0.21) unstable; urgency=medium

  * fix a bug that os_version error

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 05 Dec 2024 19:20:57 +0800

## deepin-screensaver 6.5.2

=== debian/changelog ===
deepin-screensaver (6.5.2) unstable; urgency=medium

  * feat: implement automatic DBus property change notifications

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 05 Jun 2025 20:24:36 +0800

=== debian/control ===
Source: deepin-screensaver
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>=11),
 cmake,
 qt6-5compat-dev | hello,
 qt6-base-dev | qtbase5-dev,
 qt6-base-private-dev | qtbase5-private-dev,
 qt6-tools-dev-tools | qttools5-dev-tools,
 qt6-declarative-dev | qtdeclarative5-dev,
 qml6-module-qtquick |qml-module-qtquick2,
 libdtk6widget-dev | libdtkwidget-dev,
 libdtk6gui-dev | libdtkgui-dev,
 libdtk6core-dev | libdtkcore-dev,
 deepin-desktop-base,
 libx11-dev,
 libxss-dev,
 libxext-dev,
 pkg-config,
Standards-Version: 3.9.8

Package: deepin-screensaver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, deepin-screensaver-xscreensaver-data
Description: Screensaver Tool
 Deepin screensaver viewer and tools.

Package: deepin-screensaver-xscreensaver-data
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 xscreensaver-data,
 xscreensaver-data-extra,
 xscreensaver-gl-extra,
 qml6-module-qtquick | qml-module-qtquick2,
Description: Screensaver data
 xscreensaver extra with the Deepin Screensaver.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
include /usr/share/dpkg/default.mk

# 检测当前安装的Qt版本，优先使用Qt6，否则使用Qt5
define detect_qt_version
ifneq (,$(shell which qmake6 2>/dev/null))
    QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt6"
    QT_VERSION_MAJOR="6"
else
    QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5"
    QT_VERSION_MAJOR="5"
endif
endef

# 调用检测Qt版本的命令
$(eval $(call detect_qt_version))

# hardcode this if want to force build with sepecific Qt version
# QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5"

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) \
	-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-DQT_DIR=$(QT_DIR) \
	-DQT_VERSION_MAJOR=$(QT_VERSION_MAJOR)
